Mailinglist Archive: opensuse-updates (35 mails)

< Previous Next >
openSUSE-RU-2011:0022-1 (moderate): java-1_6_0-sun: Update to Java SE 6 Update 23
openSUSE Recommended Update: java-1_6_0-sun: Update to Java SE 6 Update 23
______________________________________________________________________________

Announcement ID: openSUSE-RU-2011:0022-1
Rating: moderate
References: #662459
Affected Products:
openSUSE 11.3
openSUSE 11.2
______________________________________________________________________________

An update that has one recommended fix can now be
installed. It includes one version update.

Description:

Java SE 6u23 contains enhancements for your Java
applications:

* Improved performance and stability
* Enhanced support for right-to-left languages

* Java SE 6u23 contains Olson time zone data version 2010l.
For more information, refer to Timezone Data Versions in
the JRE Software .

## Java Hotspot VM 19.0

Java SE 6u23 includes version 19.0 of the Java HotSpot
Virtual Machine with improvements to overall performance
and reliability.

## Java VisualVM 1.3.1 Java VisualVM based on VisualVM
1.3.1 is included in Java SE 6u23. This release introduces
the following features and enhancements:

## Menu Item Corrections for Right-to-Left Languages
Several bugs in the non-default alignment and text
orientation for the menu items in Swing have been fixed, as
this is particularly important for right-to-left languages
such as Arabic.

Another issue corrected is the position of the icon and the
text. For the non-default positions the text used to
overlap the icon in a menu item, this is no longer the case.

All platform Look and Feel configurations will now handle
menu items in right-to-left language situations. These
fixes have been tested through their inclusion in the JDK 7
development release, but this is the first time they have
been available via JDK 6.

## Additional Languages Support in Linux Systems Added
support for SuSE Linux Enterprise Server 10 and 11 on
Chinese (Simplified), Chinese (Traditional), Japanese, and
Korean locales.

## Bug Fixes Java SE 6u23 does not contain any additional
fixes for security vulnerabilities to its previous release,
Java SE 6u22. Users who have Java SE 6u22 have the latest
security fixes and do not need to upgrade to this release
to be current on security fixes.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch java-1_6_0-sun-3784

- openSUSE 11.2:

zypper in -t patch java-1_6_0-sun-3784

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64) [New Version: 1.6.0.u23]:

java-1_6_0-sun-1.6.0.u23-0.2.1
java-1_6_0-sun-alsa-1.6.0.u23-0.2.1
java-1_6_0-sun-devel-1.6.0.u23-0.2.1
java-1_6_0-sun-jdbc-1.6.0.u23-0.2.1
java-1_6_0-sun-plugin-1.6.0.u23-0.2.1
java-1_6_0-sun-src-1.6.0.u23-0.2.1

- openSUSE 11.2 (i586 x86_64) [New Version: 1.6.0.u23]:

java-1_6_0-sun-1.6.0.u23-0.2.1
java-1_6_0-sun-alsa-1.6.0.u23-0.2.1
java-1_6_0-sun-demo-1.6.0.u23-0.2.1
java-1_6_0-sun-devel-1.6.0.u23-0.2.1
java-1_6_0-sun-jdbc-1.6.0.u23-0.2.1
java-1_6_0-sun-plugin-1.6.0.u23-0.2.1
java-1_6_0-sun-src-1.6.0.u23-0.2.1


References:

https://bugzilla.novell.com/662459


< Previous Next >
This Thread
  • No further messages